bs-accordion-children:
  label: Accordion Filter
  namespace: Organisms/Bootstrap/Accordion
  use: '@organisms/tm-bs/accordion/_accordion_children.twig'
  description: BS Accordion with prerendered children.
  dependencies:
    - bs-accordion-item
  fields:
    children:
      type: pattern
      label: Children
      preview:
        - id: bs-accordion-item
          fields:
            label: A title
            content: Aliquam imperdiet euismod massa, vitae ultricies lacus aliquam
              non. Morbi imperdiet porttitor suscipit. Morbi vel gravida nunc. Donec
              vitae eros blandit, pharetra erat a, interdum quam.
            aiid: a
          settings:
            pid: abc
          variant: aci_a
        - id: bs-accordion-item
          fields:
            label: B title
            content: Aliquam imperdiet euismod massa, vitae ultricies lacus aliquam
              non. Morbi imperdiet porttitor suscipit. Morbi vel gravida nunc. Donec
              vitae eros blandit, pharetra erat a, interdum quam.
            aiid: b
          settings:
            pid: abc
            toggle: chevron
          variant: aci_b
        - id: bs-accordion-item
          fields:
            label: C title
            content: Aliquam imperdiet euismod massa, vitae ultricies lacus aliquam
              non. Morbi imperdiet porttitor suscipit. Morbi vel gravida nunc. Donec
              vitae eros blandit, pharetra erat a, interdum quam.
            aiid: c
          settings:
            pid: abc
          variant: aci_c
  settings:
    pid:
      type: textfield
      label: Parent ID
      description: ID for accordion
      preview: abc
    wrapper_class:
      type: textfield
      label: Wrapper class
      description: Wrapper class
    wrapper_attributes:
      type: attributes
      label: Wrapper attributes
      description: Wrapper attributes
